@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@100..900&display=swap');
/*日日晴聯合診所*/

/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}

CSS3選取器語法 :nth-child(n) 

*/

:root{
    --MainColor:#249B92;
    --SubColor:#EABB2B;
}
body {
    font-family: 'Noto Sans TC', sans-serif;
    letter-spacing: 1px;
}

/*錨點滾動*/
html { 
    scroll-behavior: smooth; 
}
::-webkit-scrollbar {
    width: 6px;
}
::-webkit-scrollbar-track { 
    box-shadow: inset 0 0 6px rgba(255, 255, 255, 0.6); 
}
::-webkit-scrollbar-thumb {
    background-color: var(--SubColor2);
    border-radius: 50px;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/

/*上方選單右邊設定 臉書/LINE/電話/信箱
.tp_links a:before {寬高大小設定}
.tp_links a.me_tp_fb {}
.tp_links a.me_tp_fb:before {背景換圖/建議.SVG}
.tp_links a.me_tp_line {}
.tp_links a.me_tp_line:before {背景換圖/建議.SVG}
.tp_links a.me_tp_call {}
.tp_links a.me_tp_call:before {背景換圖/建議.SVG}
.tp_links a.me_tp_mail {}
.tp_links a.me_tp_mail:before {背景換圖/建議.SVG}
*/

/*電腦LOGO
.nav-brand {}
*/
/*手機LOGO
.nav-brand-m {}
*/

/*大圖點點-------------------------------------*/
/* 大圖點點 */
.bannerindex {
    --swiper-pagination-color: #fff;
    position: relative;
    height: 50vw;
    max-height: 100vh;
}
.swiper-horizontal>.swiper-pagination-bullets, 
.swiper-pagination-bullets.swiper-pagination-horizontal, 
.swiper-pagination-custom, 
.swiper-pagination-fraction{
    bottom: auto;
    top: 50%;
    left: 2vw;
    width: 25px;
    font-size: 0;
}
.swiper-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet, 
.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet{
    margin: 3px 8px;
    width: 4px;
    height: 14px;
    border-radius: 2px;
}

/*預設解除背景輪播*/
.bannerindex { 
    position:relative; 
    height:auto;
}
.swiper-banner { 
    position:static; 
    margin:0; 
    height:auto;
} 
.swiper-slide img { 
    height:auto;
} 

@media screen and (max-width: 768px) {
.bannerindex { 
    padding:0; 
    margin:0;
}
}

/*header=============================*/
.header_area{
    background: #ffffff;
    height: 80px;
}
.header_area.sticky{
    background: #ffffff;
}
.navigation{
    grid-template-columns: 140px 1fr;
}

@media screen and (max-width: 1024px) {
.header_area{
    height: auto;
}
}

/*選單*/
.stellarnav ul{
    padding-top: 10px;
}
.me_tp_features{
    display: none;
}
.stellarnav > ul > li:after{
    content: "";
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 1px;
    height: 15px;
    background: var(--MainColor);
}
.stellarnav > ul > li{
    padding: 0px 15px;
}
.stellarnav > ul > li:hover > a{
    color: var(--MainColor);
    transition: 0.6s;
    font-weight: bolder;
    letter-spacing: 3px;
}
.stellarnav li.has-sub > a:after{
    content: '+';
    border-left: unset;
    border-right: unset;
    border-top: unset;
}

/*選單第二層*/
.stellarnav li li > a , .stellarnav li li.has-sub > a{
    padding: 7px 5px;
    transition: all 0.3s;
    border-left:1px solid transparent;
    color: #444;
    font-size: 15px;
}
.stellarnav li li:hover > a , .stellarnav li li.has-sub:hover > a{
    color: var(--SubColor);	
    padding-left:10px;
    border-color:var(--SubColor) ;
}
.stellarnav > ul >li >ul{
    left: 50%;
    transform: translateX(-50%);
}
.stellarnav li li.has-sub > a:after{
    border-left: unset;
    border-right: unset;
    border-top: unset;
}
.stellarnav li li.has-sub > a:after{
    margin: 0 5px;
}

/*選單最大寬度==================================*/
.main_header_area .container{
    max-width: 100%;
    width: 90%;
}

/*LOGO=========================================*/
.pageIndex .header_area .nav-brand::after{
    content: "";
    position: absolute;
    left: -35px;
    top: -13px;
    background: #FAEDC7;
    width: 210px;
    height: 180px;
    border-radius: 0 0 10px 10px;
    transition: .5s ease-in-out;
    z-index: -1;
}
.nav-header {
    max-width: 140px;
    top: 3px;
    position: relative;
}
.nav-brand img{
    padding-top: 5px;
}

@media screen and (max-width: 1024px) {
    .pageIndex .header_area .nav-brand::after{
        display: none;
    }
    .nav-header{
        max-width: 100px;
    }
}

/*側邊按鈕======================================*/
.linksBtn{
    background-color: var(--SubColor);
}
.info_fix{
    bottom: 125px;
    display: flex;
}
.info_fix:hover>.linksBtn{
    background: var(--SubColor2);
}

@media screen and (max-width: 768px) {
    .info_fix{
        bottom: 170px;
    }
}

/*直接展開*/
.info_fix_links{
    display: flex !important;
}
.info_fix>span{
    display: none;
}

/*第二層*/
.info_fix_links a{
    background: var(--SubColor);
}
.info_fix_links a:hover{
    background: var(--MainColor);
}
a.info_fix_default.info_fix_mail{
    display:none;
}
.info_fix_links a:last-child{
    height: 110px;
}

/*TO TOP*/
#to_top{
    bottom: 95px;
    right:20px;
    background: transparent;
    box-shadow: unset;
    color: var(--MainColor);
    left:unset;
    width: 50px;
    height: 50px;
    font-size: 18px;
    padding-top: 10px;
    font-weight: bold;
}
#to_top i.top{
    height: 10px;
}
#to_top i.top:before, 
#to_top i.top:after {
    height: 10px;
    background: var(--MainColor);
    height: 10px;
    top: 3px;
    width: 3px;
}

@media screen and (max-width: 768px) {
    #to_top{
        bottom: 140px;
    }
}

/*footer=======================================*/
.footer{
    background: #fffcf2;
}
.box_link{
    display: none;
}
.footer_logo{ 
    display: block;
    max-width: 100%;
    margin: 0;
}
.footer .center{
    max-width: 80%;
    width: 100%;
}
.footer_info{
    grid-template-columns: 150px 1fr;
    padding-right: 0;
    align-items: center;
}
.footer_info ul {
    display: flex;
    width: 100%;
    margin-left: 0;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}
.footer_info li p {
    color: #222;
    font-size: 15px;
}
.footer_info li p a{
    color: #222;
}
.footer_menu {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 5px;
}
.footer_menu a{
    background: transparent;
    border: none;
    color: #222;
    font-size: 15px;
    padding: 10px;
    margin:0;
    text-align: center;
    border: 1px dotted var(--MainColor);
    border-radius: 10px;
}
.footer_menu a:hover{
    background: var(--MainColor);
    transition: 0.3s;
    color: #fff;
    font-weight: 500;
}
.footer_menu a:nth-child(1){
    display: none;
}
.copy{
    padding: 15px 0;
    border-top: none;
    color: #ffffff;
    letter-spacing: 1px;
    background: var(--MainColor);
}
.copy a {
    color: #ffffff;
}
.privacyLinks a+a{
    border-left: 1px solid #ffffff;
}

/*RWD*/
@media screen and (max-width: 1200px) {
.footer_info {
    grid-template-columns: 1fr;
    padding: 0;
}
.footer_info ul{
    justify-content: space-between;
}
.footer_logo{
    display: none;
}
}
@media screen and (max-width: 768px) {
.bannerindex { 
    padding:0; 
    margin:0;
}
.footer_info ul{
    flex-direction: column;
}
.footer_menu{
    grid-template-columns: 1fr 1fr 1fr 1fr;
}
.footer{
    padding: 30px 0 53px;
}
}
@media screen and (max-width: 600px) {
.footer_menu{
    grid-template-columns: 1fr 1fr 1fr;
}
}
@media screen and (max-width: 425px) {
.footer_menu{
    grid-template-columns: 1fr 1fr;
}
}

/*手機版選單*/
.stellarnav .menu-toggle{
    padding: 38px 10px;
}
.stellarnav .menu-toggle span.bars span{
    background-color: var(--SubColor);
}
.stellarnav .menu-toggle:after{
    color: var(--SubColor);
}
#bottom_menu li{
    border-right: 1px solid #ffffff;
}
#bottom_menu li a{
    color: #fff;
}

@media (max-width: 768px) {
    #bottom_menu{
        background: var(--SubColor);
    }
}

@media screen and (max-width: 550px) {
    .stellarnav .menu-toggle{
        padding: 0px 10px;
    }
}

/*第二層*/
.stellarnav.mobile.right .close-menu, .stellarnav.mobile.left .close-menu{
    background: var(--MainColor);
    color: #fff;
}
.stellarnav .icon-close:after{
    border-bottom: solid 3px #fff;
}
.stellarnav .icon-close:before{
    border-bottom: solid 3px #fff;
}